Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.util
Class ThreadCPUTimeChrono

    java.lang.Object
      umontreal.iro.lecuyer.util.AbstractChrono
          umontreal.iro.lecuyer.util.ThreadCPUTimeChrono

    public class ThreadCPUTimeChrono

extends AbstractChrono

Extends the `AbstractChrono` class to compute the CPU time for a single thread. It is available only under Java 1.5 which provides platform-independent facilities to get the CPU time for a single thread through management API.

Note that this chrono might not work properly on some systems running Linux because of a bug in Sun's implementation or Linux kernel. For instance, this class unexpectedly computes the global CPU time under Fedora Core 4, kernel 2.6.17 and JRE version 1.5.0-09. With Fedora Core 6, kernel 2.6.20, the function is working properly. As a result, one should not rely on this bug to get the global CPU time.

Note that the above bug does not prevent one from using this chrono to compute the CPU time for a single-threaded application. In that case, the global CPU time corresponds to the CPU time of the current thread.

Running timer fonctions when the associated thread is dead will return 0.

Constructor Summary
`ThreadCPUTimeChrono()` Constructs a `ThreadCPUTimeChrono` object associated with current thread and initializes it to zero.
`ThreadCPUTimeChrono(Thread inThread)` Constructs a `ThreadCPUTimeChrono` object associated with the given `Thread` variable and initializes it to zero.

Method Summary

Methods inherited from class umontreal.iro.lecuyer.util.AbstractChrono
`format, format, getHours, getMinutes, getSeconds, init`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadCPUTimeChrono

    public ThreadCPUTimeChrono()

  Constructs a `ThreadCPUTimeChrono` object associated with current thread and initializes it to zero.

### ThreadCPUTimeChrono

    public ThreadCPUTimeChrono(Thread inThread)

  Constructs a `ThreadCPUTimeChrono` object associated with the given `Thread` variable and initializes it to zero.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.